Index: Templates/calc_etadot_nml.template
===================================================================
--- Templates/calc_etadot_nml.template	(revision None)
+++ Templates/calc_etadot_nml.template	(revision None)
@@ -0,0 +1,19 @@
+&NAMGEN
+  maxl = $maxl,
+  maxb = $maxb,
+  mlevel = $mlevel,
+  mlevelist = "$mlevelist",
+  mnauf = $mnauf,
+  metapar = $metapar,
+  rlo0 = $rlo0,
+  rlo1 = $rlo1,
+  rla0 = $rla0,
+  rla1 = $rla1,
+  momega = $momega,
+  momegadiff = $momegadiff,
+  mgauss = $mgauss,
+  msmooth = $msmooth,
+  meta = $meta,
+  metadiff = $metadiff,
+  mdpdeta = $mdpdeta
+/
Index: Templates/compilejob.template
===================================================================
--- Templates/compilejob.template	(revision e44fdb9f7f3f128ce719e718a61ed6fcff46cdb9)
+++ 	(revision )
@@ -1,71 +1,0 @@
-#!/bin/ksh
-
-# ON ECGB:
-# start with ecaccess-job-submit -queueName ecgb NAME_OF_THIS_FILE  on gateway server
-# start with sbatch NAME_OF_THIS_FILE directly on machine
-
-#SBATCH --workdir=/scratch/ms/$usergroup/$username
-#SBATCH --qos=normal
-#SBATCH --job-name=flex_ecmwf
-#SBATCH --output=flex_ecmwf.%j.out
-#SBATCH --error=flex_ecmwf.%j.out
-#SBATCH --mail-type=FAIL
-#SBATCH --time=12:00:00
-
-## CRAY specific batch requests
-##PBS -N flex_ecmwf
-##PBS -q ns
-##PBS -S /usr/bin/ksh
-##PBS -o /scratch/ms/$usergroup/$username/flex_ecmwf.$${Jobname}.$${Job_ID}.out
-# job output is in .ecaccess_DO_NOT_REMOVE
-##PBS -j oe
-##PBS -V
-##PBS -l EC_threads_per_task=1
-##PBS -l EC_memory_per_task=3200MB
-
-set -x
-export VERSION=$version_number
-case $${HOST} in
-  *ecg*)
-  module unload grib_api
-  module unload eccodes
-  module unload python
-  module unload emos
-  module load python3/3.6.8-01
-  module load eccodes/2.13.0
-  module load emos/455-r64
-  export FLEXPART_ROOT_SCRIPTS=$fp_root_scripts
-  export MAKEFILE=$makefile
-  ;;
-  *cca*)
-  module unload python
-  module switch PrgEnv-cray PrgEnv-intel
-  module load python3
-  module load eccodes/2.13.0
-  module load emos/455-r64
-  echo $${GROUP}
-  echo $${HOME}
-  echo $${HOME} | awk -F / '{print $1, $2, $3, $4}'
-  export GROUP=`echo $${HOME} | awk -F / '{print $4}'`
-  export SCRATCH=/scratch/ms/$${GROUP}/$${USER}
-  export FLEXPART_ROOT_SCRIPTS=$fp_root_scripts
-  export MAKEFILE=$makefile
-  ;;
-esac
-
-mkdir -p $${FLEXPART_ROOT_SCRIPTS}/flex_extract_v$${VERSION}
-cd $${FLEXPART_ROOT_SCRIPTS}/flex_extract_v$${VERSION}   # if FLEXPART_ROOT is not set this means cd to the home directory
-tar -xvf $${HOME}/flex_extract_v$${VERSION}.tar
-cd Source/Fortran
-\rm *.o *.mod $fortran_program 
-make -f $${MAKEFILE} >flexcompile 2>flexcompile
-
-ls -l $fortran_program >>flexcompile
-if [ $$? -eq 0 ]; then
-  echo 'SUCCESS!' >>flexcompile
-  mail -s flexcompile.$${HOST}.$$$$ $${USER} <flexcompile
-else
-  echo Environment: >>flexcompile
-  env >> flexcompile
-  mail -s "ERROR! flexcompile.$${HOST}.$$$$" $${USER} <flexcompile
-fi
Index: Templates/convert.nl
===================================================================
--- Templates/convert.nl	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
+++ 	(revision )
@@ -1,19 +1,0 @@
-&NAMGEN
-  maxl = $maxl,
-  maxb = $maxb,
-  mlevel = $mlevel,
-  mlevelist = "$mlevelist",
-  mnauf = $mnauf,
-  metapar = $metapar,
-  rlo0 = $rlo0,
-  rlo1 = $rlo1,
-  rla0 = $rla0,
-  rla1 = $rla1,
-  momega = $momega,
-  momegadiff = $momegadiff,
-  mgauss = $mgauss,
-  msmooth = $msmooth,
-  meta = $meta,
-  metadiff = $metadiff,
-  mdpdeta = $mdpdeta
-/
Index: Templates/installscript.template
===================================================================
--- Templates/installscript.template	(revision None)
+++ Templates/installscript.template	(revision None)
@@ -0,0 +1,71 @@
+#!/bin/ksh
+
+# ON ECGB:
+# start with ecaccess-job-submit -queueName ecgb NAME_OF_THIS_FILE  on gateway server
+# start with sbatch NAME_OF_THIS_FILE directly on machine
+
+#SBATCH --workdir=/scratch/ms/$usergroup/$username
+#SBATCH --qos=normal
+#SBATCH --job-name=flex_ecmwf
+#SBATCH --output=flex_ecmwf.%j.out
+#SBATCH --error=flex_ecmwf.%j.out
+#SBATCH --mail-type=FAIL
+#SBATCH --time=12:00:00
+
+## CRAY specific batch requests
+##PBS -N flex_ecmwf
+##PBS -q ns
+##PBS -S /usr/bin/ksh
+##PBS -o /scratch/ms/$usergroup/$username/flex_ecmwf.$${Jobname}.$${Job_ID}.out
+# job output is in .ecaccess_DO_NOT_REMOVE
+##PBS -j oe
+##PBS -V
+##PBS -l EC_threads_per_task=1
+##PBS -l EC_memory_per_task=3200MB
+
+set -x
+export VERSION=$version_number
+case $${HOST} in
+  *ecg*)
+  module unload grib_api
+  module unload eccodes
+  module unload python
+  module unload emos
+  module load python3/3.6.8-01
+  module load eccodes/2.13.0
+  module load emos/455-r64
+  export FLEXPART_ROOT_SCRIPTS=$fp_root_scripts
+  export MAKEFILE=$makefile
+  ;;
+  *cca*)
+  module unload python
+  module switch PrgEnv-cray PrgEnv-intel
+  module load python3
+  module load eccodes/2.13.0
+  module load emos/455-r64
+  echo $${GROUP}
+  echo $${HOME}
+  echo $${HOME} | awk -F / '{print $1, $2, $3, $4}'
+  export GROUP=`echo $${HOME} | awk -F / '{print $4}'`
+  export SCRATCH=/scratch/ms/$${GROUP}/$${USER}
+  export FLEXPART_ROOT_SCRIPTS=$fp_root_scripts
+  export MAKEFILE=$makefile
+  ;;
+esac
+
+mkdir -p $${FLEXPART_ROOT_SCRIPTS}/flex_extract_v$${VERSION}
+cd $${FLEXPART_ROOT_SCRIPTS}/flex_extract_v$${VERSION}   # if FLEXPART_ROOT is not set this means cd to the home directory
+tar -xvf $${HOME}/flex_extract_v$${VERSION}.tar
+cd Source/Fortran
+\rm *.o *.mod $fortran_program 
+make -f $${MAKEFILE} >flexcompile 2>flexcompile
+
+ls -l $fortran_program >>flexcompile
+if [ $$? -eq 0 ]; then
+  echo 'SUCCESS!' >>flexcompile
+  mail -s flexcompile.$${HOST}.$$$$ $${USER} <flexcompile
+else
+  echo Environment: >>flexcompile
+  env >> flexcompile
+  mail -s "ERROR! flexcompile.$${HOST}.$$$$" $${USER} <flexcompile
+fi
Index: Templates/job.temp
===================================================================
--- Templates/job.temp	(revision e44fdb9f7f3f128ce719e718a61ed6fcff46cdb9)
+++ 	(revision )
@@ -1,80 +1,0 @@
-#!/bin/ksh
-
-# ON ECGB:
-# start with ecaccess-job-submit -queueName ecgb NAME_OF_THIS_FILE  on gateway server
-# start with sbatch NAME_OF_THIS_FILE directly on machine
-
-#SBATCH --workdir=/scratch/ms/at/km4a
-#SBATCH --qos=normal
-#SBATCH --job-name=flex_ecmwf
-#SBATCH --output=flex_ecmwf.%j.out
-#SBATCH --error=flex_ecmwf.%j.out
-#SBATCH --mail-type=FAIL
-#SBATCH --time=12:00:00
-
-## CRAY specific batch requests
-##PBS -N flex_ecmwf
-##PBS -q np
-##PBS -S /usr/bin/ksh
-## -o /scratch/ms/at/km4a/flex_ecmwf.$${PBS_JOBID}.out
-## job output is in .ecaccess_DO_NOT_REMOVE
-##PBS -j oe
-##PBS -V
-##PBS -l EC_threads_per_task=24
-##PBS -l EC_memory_per_task=32000MB
-
-set -x
-export VERSION=7.1
-case $${HOST} in
-  *ecg*)
-  module unload grib_api
-  module unload eccodes
-  module unload python
-  module unload emos
-  module load python3/3.6.8-01
-  module load eccodes/2.13.0
-  module load emos/455-r64
-  export PATH=$${PATH}:$${HOME}/flex_extract_v7.1/Source/Python
-  ;;
-  *cca*)
-  module unload python
-  module switch PrgEnv-cray PrgEnv-intel
-  module load python3
-  module load eccodes/2.13.0
-  module load emos/455-r64
-  export SCRATCH=$${TMPDIR}
-  export PATH=$${PATH}:$${HOME}/flex_extract_v7.1/Source/Python
-  ;;
-esac
-
-cd $${SCRATCH}
-mkdir -p python$$$$
-cd python$$$$
-
-export CONTROL=CONTROL
-
-cat >$${CONTROL}<<EOF
-$control_content
-EOF
-
-
-submit.py --controlfile=$${CONTROL} --inputdir=./work --outputdir=./work 1> prot 2>&1
-
-if [ $? -eq 0 ] ; then
-  l=0
-  for muser in `grep -i MAILOPS $${CONTROL}`; do
-      if [ $${l} -gt 0 ] ; then 
-         mail -s flex.$${HOST}.$$$$ $${muser} <prot
-      fi
-      l=$(($${l}+1))
-  done
-else
-  l=0
-  for muser in `grep -i MAILFAIL $${CONTROL}`; do
-      if [ $${l} -gt 0 ] ; then 
-         mail -s "ERROR! flex.$${HOST}.$$$$" $${muser} <prot
-      fi
-      l=$(($${l}+1))
-  done
-fi
-
Index: Templates/job.template
===================================================================
--- Templates/job.template	(revision e44fdb9f7f3f128ce719e718a61ed6fcff46cdb9)
+++ 	(revision )
@@ -1,80 +1,0 @@
-#!/bin/ksh
-
-# ON ECGB:
-# start with ecaccess-job-submit -queueName ecgb NAME_OF_THIS_FILE  on gateway server
-# start with sbatch NAME_OF_THIS_FILE directly on machine
-
-#SBATCH --workdir=/scratch/ms/$usergroup/$username
-#SBATCH --qos=normal
-#SBATCH --job-name=flex_ecmwf
-#SBATCH --output=flex_ecmwf.%j.out
-#SBATCH --error=flex_ecmwf.%j.out
-#SBATCH --mail-type=FAIL
-#SBATCH --time=12:00:00
-
-## CRAY specific batch requests
-##PBS -N flex_ecmwf
-##PBS -q np
-##PBS -S /usr/bin/ksh
-## -o /scratch/ms/$usergroup/$username/flex_ecmwf.$$$${PBS_JOBID}.out
-## job output is in .ecaccess_DO_NOT_REMOVE
-##PBS -j oe
-##PBS -V
-##PBS -l EC_threads_per_task=24
-##PBS -l EC_memory_per_task=32000MB
-
-set -x
-export VERSION=$version_number
-case $$$${HOST} in
-  *ecg*)
-  module unload grib_api
-  module unload eccodes
-  module unload python
-  module unload emos
-  module load python3/3.6.8-01
-  module load eccodes/2.13.0
-  module load emos/455-r64
-  export PATH=$$$${PATH}:$fp_root_path
-  ;;
-  *cca*)
-  module unload python
-  module switch PrgEnv-cray PrgEnv-intel
-  module load python3
-  module load eccodes/2.13.0
-  module load emos/455-r64
-  export SCRATCH=$$$${TMPDIR}
-  export PATH=$$$${PATH}:$fp_root_path
-  ;;
-esac
-
-cd $$$${SCRATCH}
-mkdir -p python$$$$$$$$
-cd python$$$$$$$$
-
-export CONTROL=CONTROL
-
-cat >$$$${CONTROL}<<EOF
-$$control_content
-EOF
-
-
-submit.py --controlfile=$$$${CONTROL} --inputdir=./work --outputdir=./work 1> prot 2>&1
-
-if [ $? -eq 0 ] ; then
-  l=0
-  for muser in `grep -i MAILOPS $$$${CONTROL}`; do
-      if [ $$$${l} -gt 0 ] ; then 
-         mail -s flex.$$$${HOST}.$$$$$$$$ $$$${muser} <prot
-      fi
-      l=$(($$$${l}+1))
-  done
-else
-  l=0
-  for muser in `grep -i MAILFAIL $$$${CONTROL}`; do
-      if [ $$$${l} -gt 0 ] ; then 
-         mail -s "ERROR! flex.$$$${HOST}.$$$$$$$$" $$$${muser} <prot
-      fi
-      l=$(($$$${l}+1))
-  done
-fi
-
Index: Templates/jobscript.template
===================================================================
--- Templates/jobscript.template	(revision None)
+++ Templates/jobscript.template	(revision None)
@@ -0,0 +1,80 @@
+#!/bin/ksh
+
+# ON ECGB:
+# start with ecaccess-job-submit -queueName ecgb NAME_OF_THIS_FILE  on gateway server
+# start with sbatch NAME_OF_THIS_FILE directly on machine
+
+#SBATCH --workdir=/scratch/ms/$usergroup/$username
+#SBATCH --qos=normal
+#SBATCH --job-name=flex_ecmwf
+#SBATCH --output=flex_ecmwf.%j.out
+#SBATCH --error=flex_ecmwf.%j.out
+#SBATCH --mail-type=FAIL
+#SBATCH --time=12:00:00
+
+## CRAY specific batch requests
+##PBS -N flex_ecmwf
+##PBS -q np
+##PBS -S /usr/bin/ksh
+## -o /scratch/ms/$usergroup/$username/flex_ecmwf.$$$${PBS_JOBID}.out
+## job output is in .ecaccess_DO_NOT_REMOVE
+##PBS -j oe
+##PBS -V
+##PBS -l EC_threads_per_task=24
+##PBS -l EC_memory_per_task=32000MB
+
+set -x
+export VERSION=$version_number
+case $$$${HOST} in
+  *ecg*)
+  module unload grib_api
+  module unload eccodes
+  module unload python
+  module unload emos
+  module load python3/3.6.8-01
+  module load eccodes/2.13.0
+  module load emos/455-r64
+  export PATH=$$$${PATH}:$fp_root_path
+  ;;
+  *cca*)
+  module unload python
+  module switch PrgEnv-cray PrgEnv-intel
+  module load python3
+  module load eccodes/2.13.0
+  module load emos/455-r64
+  export SCRATCH=$$$${TMPDIR}
+  export PATH=$$$${PATH}:$fp_root_path
+  ;;
+esac
+
+cd $$$${SCRATCH}
+mkdir -p python$$$$$$$$
+cd python$$$$$$$$
+
+export CONTROL=CONTROL
+
+cat >$$$${CONTROL}<<EOF
+$$control_content
+EOF
+
+
+submit.py --controlfile=$$$${CONTROL} --inputdir=./work --outputdir=./work 1> prot 2>&1
+
+if [ $? -eq 0 ] ; then
+  l=0
+  for muser in `grep -i MAILOPS $$$${CONTROL}`; do
+      if [ $$$${l} -gt 0 ] ; then 
+         mail -s flex.$$$${HOST}.$$$$$$$$ $$$${muser} <prot
+      fi
+      l=$(($$$${l}+1))
+  done
+else
+  l=0
+  for muser in `grep -i MAILFAIL $$$${CONTROL}`; do
+      if [ $$$${l} -gt 0 ] ; then 
+         mail -s "ERROR! flex.$$$${HOST}.$$$$$$$$" $$$${muser} <prot
+      fi
+      l=$(($$$${l}+1))
+  done
+fi
+
Index: Templates/submitscript.template
===================================================================
--- Templates/submitscript.template	(revision None)
+++ Templates/submitscript.template	(revision None)
@@ -0,0 +1,80 @@
+#!/bin/ksh
+
+# ON ECGB:
+# start with ecaccess-job-submit -queueName ecgb NAME_OF_THIS_FILE  on gateway server
+# start with sbatch NAME_OF_THIS_FILE directly on machine
+
+#SBATCH --workdir=/scratch/ms/at/km4a
+#SBATCH --qos=normal
+#SBATCH --job-name=flex_ecmwf
+#SBATCH --output=flex_ecmwf.%j.out
+#SBATCH --error=flex_ecmwf.%j.out
+#SBATCH --mail-type=FAIL
+#SBATCH --time=12:00:00
+
+## CRAY specific batch requests
+##PBS -N flex_ecmwf
+##PBS -q np
+##PBS -S /usr/bin/ksh
+## -o /scratch/ms/at/km4a/flex_ecmwf.$${PBS_JOBID}.out
+## job output is in .ecaccess_DO_NOT_REMOVE
+##PBS -j oe
+##PBS -V
+##PBS -l EC_threads_per_task=24
+##PBS -l EC_memory_per_task=32000MB
+
+set -x
+export VERSION=7.1.1
+case $${HOST} in
+  *ecg*)
+  module unload grib_api
+  module unload eccodes
+  module unload python
+  module unload emos
+  module load python3/3.6.8-01
+  module load eccodes/2.13.0
+  module load emos/455-r64
+  export PATH=$${PATH}:$${HOME}/flex_extract_v7.1.1/Source/Python
+  ;;
+  *cca*)
+  module unload python
+  module switch PrgEnv-cray PrgEnv-intel
+  module load python3
+  module load eccodes/2.13.0
+  module load emos/455-r64
+  export SCRATCH=$${TMPDIR}
+  export PATH=$${PATH}:$${HOME}/flex_extract_v7.1.1/Source/Python
+  ;;
+esac
+
+cd $${SCRATCH}
+mkdir -p python$$$$
+cd python$$$$
+
+export CONTROL=CONTROL
+
+cat >$${CONTROL}<<EOF
+$control_content
+EOF
+
+
+submit.py --controlfile=$${CONTROL} --inputdir=./work --outputdir=./work 1> prot 2>&1
+
+if [ $? -eq 0 ] ; then
+  l=0
+  for muser in `grep -i MAILOPS $${CONTROL}`; do
+      if [ $${l} -gt 0 ] ; then 
+         mail -s flex.$${HOST}.$$$$ $${muser} <prot
+      fi
+      l=$(($${l}+1))
+  done
+else
+  l=0
+  for muser in `grep -i MAILFAIL $${CONTROL}`; do
+      if [ $${l} -gt 0 ] ; then 
+         mail -s "ERROR! flex.$${HOST}.$$$$" $${muser} <prot
+      fi
+      l=$(($${l}+1))
+  done
+fi
+
